Bug 1311392 - Installing mod_nss creates empty file /0
Installing mod_nss creates empty file /0
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mod_nss (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Harmsen
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-24 02:23 EST by Jan Pazdziora
Modified: 2016-03-05 01:23 EST (History)
3 users (show)

See Also:
Fixed In Version: mod_nss-1.0.12-2.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-05 01:23:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2016-02-24 02:23:57 EST
Description of problem:

When mod_nss package is installed, new empty file /0 is created, not owned by the package.

Version-Release number of selected component (if applicable):

mod_nss-1.0.12-1.fc23.x86_64

How reproducible:

Deterministic.

Steps to Reproduce:
1. dnf install -y httpd # so that we have all the dependencies and we know that the next dnf install will only install that one mod_nss package
2. ls -l /0 # check that it says ls: cannot access /0: No such file or directory

3. dnf install -y mod_nss
4. ls -l /0

Actual results:

-rw-------. 1 root root 0 Feb 24 02:20 /0

Expected results:

ls: cannot access /0: No such file or directory

Additional info:

I don't see it happening with mod_nss-1.0.11-6.el7.x86_64 and mod_nss-1.0.11-6.fc22.x86_64, therefore marking as regression.
Comment 1 Rob Crittenden 2016-02-24 08:18:37 EST
And so it does. This file isn't owned by mod_nss which leads me to believe that gencert is creating it during %post.
Comment 2 Jan Pazdziora 2016-02-24 08:21:47 EST
It seems like the line

    if [ $# > 0 ]; then

in /usr/sbin/gencert could be causing it.
Comment 3 Rob Crittenden 2016-02-24 09:26:07 EST
It occurs again later as well when comparing $SNI.
Comment 4 Fedora Update System 2016-02-24 13:03:42 EST
mod_nss-1.0.12-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bba8a566b1
Comment 5 Fedora Update System 2016-02-25 21:24:06 EST
mod_nss-1.0.12-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bba8a566b1
Comment 6 Fedora Update System 2016-03-05 01:23:36 EST
mod_nss-1.0.12-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.